Bug 178705 - ext "mounting unchecked fs" warnings when mounting snapshots
ext "mounting unchecked fs" warnings when mounting snapshots
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Mikulas Patocka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 12:38 EST by Corey Marthaler
Modified: 2008-06-10 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-10 23:08:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-01-23 12:38:56 EST
Description of problem:
I remember discussing this issue before and I thought that there was a bz
already open for it but I couldn't find one. When ever you mount a snapshot of a
valid filesystem, ext warns that it's unchecked even though the origin
filesystem is just fine, and ext didn't complain when you mounted it.

"EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended"


Version-Release number of selected component (if applicable):
lvm2-2.02.01-1.3.RHEL4


How reproducible:
everytime
Comment 1 Milan Broz 2007-05-15 13:55:06 EDT
Is there still an issue with this ?
(I think it is fixed by lock_fs call...)
Comment 2 Corey Marthaler 2007-05-23 12:36:17 EDT
Yes, this still exists in lvm2-2.02.21-5.el4 (2.6.9-55.ELlargesmp).

[root@link-08 ~]# mount /dev/link/snap1 /mnt/2

May 23 11:35:35 link-08 kernel: EXT2-fs warning: mounting unchecked fs, running
e2fsck is recommended
Comment 3 Mikulas Patocka 2008-06-08 20:00:26 EDT
Hmm, I am considering marking this as WONTFIX.  Ext2 design doesn't allow to bring filesystem to a consistent state while it is mounted. There are two reasons for it:  1. the filesystem doesn't contain any global lock. When creating snapshot, we must make sure that there is no operation in progress and that no new operation will be started --- but there are many entry points to the filesystem and no lock to protect them all. Fixing this would mean major code rewrite.  2. ext2 allows files being open after they are deleted and only fsck can recover these lost inodes. If you take snapshot of a filesystem with open deleted file, the only way to make this snapshot consistent is to run fsck on it --- so keeping the snapshotted filesystem marked for fsck is a good thing.  I'd suggest to use ext3 or other journaled filesystem for snapshots. 

Note You need to log in before you can comment on or make changes to this bug.